# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.532   -> 1.533  
#	drivers/usb/media/Config.in	1.4     -> 1.5    
#	drivers/usb/host/Config.in	1.5     -> 1.6    
#	drivers/usb/class/Config.in	1.5     -> 1.6    
#	drivers/usb/image/Config.in	1.4     -> 1.5    
#	drivers/usb/Config.in	1.27    -> 1.28   
#	drivers/usb/net/Config.in	1.5     -> 1.6    
#	drivers/usb/input/Config.in	1.2     -> 1.3    
#	drivers/usb/Makefile	1.24    -> 1.25   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/04/16	kai@tp1.ruhr-uni-bochum.de	1.533
# Cleanup drivers/usb/Makefile and Config.in's
# 
# Use the fact that now O_TARGET == <subdir.o> to simplify the
# Makefile.
# Correct mod-subdirs use.
# Remove unneeded code from drivers/usb/*/Config.in
# --------------------------------------------
#
diff -Nru a/drivers/usb/Config.in b/drivers/usb/Config.in
--- a/drivers/usb/Config.in	Fri Apr 19 09:30:54 2002
+++ b/drivers/usb/Config.in	Fri Apr 19 09:30:54 2002
@@ -33,14 +33,5 @@
    dep_tristate '  USB Auerswald ISDN support (EXPERIMENTAL)' CONFIG_USB_AUERSWALD $CONFIG_USB $CONFIG_EXPERIMENTAL
    dep_tristate '  USB Diamond Rio500 support (EXPERIMENTAL)' CONFIG_USB_RIO500 $CONFIG_USB $CONFIG_EXPERIMENTAL
 
-   # Turn on CONFIG_USB_MISC if any of the drivers are compiled into the kernel
-   # to make our Makefile logic a bit simpler
-   if [ "$CONFIG_USB_USS720" = "y" -o "$CONFIG_USB_EMI26" = "y" -o "$CONFIG_USB_RIO500" = "y" ]; then
-      define_bool CONFIG_USB_MISC y
-   fi
-   if [ "$CONFIG_USB_AUERSWALD" = "y" -o "$CONFIG_USB_TIGL" = "y" ]; then
-      define_bool CONFIG_USB_MISC y
-   fi
-
 fi
 endmenu
diff -Nru a/drivers/usb/Makefile b/drivers/usb/Makefile
--- a/drivers/usb/Makefile	Fri Apr 19 09:30:54 2002
+++ b/drivers/usb/Makefile	Fri Apr 19 09:30:54 2002
@@ -5,42 +5,27 @@
 O_TARGET	:= usbdrv.o
 
 # Object files in subdirectories
-mod-subdirs	:= core host class media net serial storage image misc input
+mod-subdirs	:= serial
 
 subdir-$(CONFIG_USB)		+= core
-ifeq ($(CONFIG_USB),y)
-	obj-y += core/core.o
-endif
 
 subdir-$(CONFIG_USB_EHCI_HCD)	+= host
 subdir-$(CONFIG_USB_OHCI_HCD)	+= host
 subdir-$(CONFIG_USB_OHCI)	+= host
 subdir-$(CONFIG_USB_UHCI_ALT)	+= host
 subdir-$(CONFIG_USB_UHCI)	+= host
-ifeq ($(CONFIG_USB_HOST),y)
-	obj-y += host/host.o
-endif
 
 subdir-$(CONFIG_USB_ACM)	+= class
 subdir-$(CONFIG_USB_AUDIO)	+= class
 subdir-$(CONFIG_USB_BLUETOOTH)	+= class
 subdir-$(CONFIG_USB_PRINTER)	+= class
-ifeq ($(CONFIG_USB_CLASS),y)
-	obj-y += class/class.o
-endif
 
 subdir-$(CONFIG_USB_STORAGE)	+= storage
-ifeq ($(CONFIG_USB_STORAGE),y)
-	obj-y += storage/storage.o
-endif
 
 subdir-$(CONFIG_USB_HID)	+= input
 subdir-$(CONFIG_USB_KBD)	+= input
 subdir-$(CONFIG_USB_MOUSE)	+= input
 subdir-$(CONFIG_USB_WACOM)	+= input
-ifeq ($(CONFIG_USB_INPUT),y)
-	obj-y += input/input.o
-endif
 
 subdir-$(CONFIG_USB_DABUSB)	+= media
 subdir-$(CONFIG_USB_DSBR)	+= media
@@ -51,9 +36,6 @@
 subdir-$(CONFIG_USB_SE401)	+= media
 subdir-$(CONFIG_USB_STV680)	+= media
 subdir-$(CONFIG_USB_VICAM)	+= media
-ifeq ($(CONFIG_USB_MEDIA),y)
-	obj-y += media/media.o
-endif
 
 subdir-$(CONFIG_USB_CATC)	+= net
 subdir-$(CONFIG_USB_CDCETHER)	+= net
@@ -61,31 +43,21 @@
 subdir-$(CONFIG_USB_PEGASUS)	+= net
 subdir-$(CONFIG_USB_RTL8150)	+= net
 subdir-$(CONFIG_USB_USBNET)	+= net
-ifeq ($(CONFIG_USB_NET),y)
-	obj-y += net/net.o
-endif
 
 subdir-$(CONFIG_USB_DC2XX)	+= image
 subdir-$(CONFIG_USB_HPUSBSCSI)	+= image
 subdir-$(CONFIG_USB_MDC800)	+= image
 subdir-$(CONFIG_USB_MICROTEK)	+= image
 subdir-$(CONFIG_USB_SCANNER)	+= image
-ifeq ($(CONFIG_USB_IMAGE),y)
-	obj-y += image/image.o
-endif
 
 subdir-$(CONFIG_USB_SERIAL)	+= serial
-ifeq ($(CONFIG_USB_SERIAL),y)
-	obj-y += serial/serial.o
-endif
 
 subdir-$(CONFIG_USB_AUERSWALD)	+= misc
 subdir-$(CONFIG_USB_EMI26)	+= misc
 subdir-$(CONFIG_USB_RIO500)	+= misc
 subdir-$(CONFIG_USB_TIGL)	+= misc
 subdir-$(CONFIG_USB_USS720)	+= misc
-ifeq ($(CONFIG_USB_MISC),y)
-	obj-y += misc/misc.o
-endif
+
+obj-y += $(join $(subdir-y),$(subdir-y:%=/%.o))
 
 include $(TOPDIR)/Rules.make
diff -Nru a/drivers/usb/class/Config.in b/drivers/usb/class/Config.in
--- a/drivers/usb/class/Config.in	Fri Apr 19 09:30:54 2002
+++ b/drivers/usb/class/Config.in	Fri Apr 19 09:30:54 2002
@@ -6,14 +6,3 @@
 dep_tristate '  USB Bluetooth TTY support' CONFIG_USB_BLUETOOTH_TTY $CONFIG_USB
 dep_tristate '  USB Modem (CDC ACM) support' CONFIG_USB_ACM $CONFIG_USB
 dep_tristate '  USB Printer support' CONFIG_USB_PRINTER $CONFIG_USB
-
-
-# Turn on CONFIG_USB_CLASS if any of the drivers are compiled into the kernel
-# to make our Makefile logic a bit simpler.
-if [ "$CONFIG_USB_AUDIO" = "y" -o "$CONFIG_USB_BLUETOOTH_TTY" = "y" ]; then
-   define_bool CONFIG_USB_CLASS y
-fi
-if [ "$CONFIG_USB_ACM" = "y" -o "$CONFIG_USB_PRINTER" = "y" ]; then
-   define_bool CONFIG_USB_CLASS y
-fi
-   
diff -Nru a/drivers/usb/host/Config.in b/drivers/usb/host/Config.in
--- a/drivers/usb/host/Config.in	Fri Apr 19 09:30:54 2002
+++ b/drivers/usb/host/Config.in	Fri Apr 19 09:30:54 2002
@@ -14,12 +14,3 @@
    define_bool CONFIG_USB_UHCI_ALT n
 fi
 dep_tristate '  OHCI (Compaq, iMacs, OPTi, SiS, ALi, ...) support' CONFIG_USB_OHCI $CONFIG_USB
-
-# Turn on CONFIG_USB_HOST if any of the Host controller drivers are compiled
-# into the kernel to make our Makefile logic a bit simpler
-if [ "$CONFIG_USB_EHCI_HCD" = "y" -o "$CONFIG_USB_OHCI_HCD" = "y" -o "$CONFIG_USB_UHCI_HCD" = "y" ]; then
-   define_bool CONFIG_USB_HOST y
-fi
-if [ "$CONFIG_USB_UHCI" = "y" -o "$CONFIG_USB_UHCI_ALT" = "y" -o "$CONFIG_USB_OHCI" = "y" ]; then
-   define_bool CONFIG_USB_HOST y
-fi
diff -Nru a/drivers/usb/image/Config.in b/drivers/usb/image/Config.in
--- a/drivers/usb/image/Config.in	Fri Apr 19 09:30:54 2002
+++ b/drivers/usb/image/Config.in	Fri Apr 19 09:30:54 2002
@@ -6,13 +6,3 @@
 dep_tristate '  USB Scanner support' CONFIG_USB_SCANNER $CONFIG_USB
 dep_tristate '  Microtek X6USB scanner support' CONFIG_USB_MICROTEK $CONFIG_USB $CONFIG_SCSI
 dep_tristate '  HP53xx USB scanner support (EXPERIMENTAL)' CONFIG_USB_HPUSBSCSI $CONFIG_USB $CONFIG_SCSI $CONFIG_EXPERIMENTAL
-
-# Turn on CONFIG_USB_IMAGE if any of the drivers are compiled into the kernel to
-# make our Makefile logic a bit simpler
-if [ "$CONFIG_USB_MDC800" = "y" -o "$CONFIG_USB_SCANNER" = "y" ]; then
-   define_bool CONFIG_USB_IMAGE y
-fi
-if [ "$CONFIG_USB_MICROTEK" = "y" -o "$CONFIG_USB_HPUSBSCSI" = "y" ]; then
-   define_bool CONFIG_USB_IMAGE y
-fi
-   
diff -Nru a/drivers/usb/input/Config.in b/drivers/usb/input/Config.in
--- a/drivers/usb/input/Config.in	Fri Apr 19 09:30:54 2002
+++ b/drivers/usb/input/Config.in	Fri Apr 19 09:30:54 2002
@@ -15,13 +15,4 @@
 fi
 
 dep_tristate '  Wacom Intuos/Graphire tablet support' CONFIG_USB_WACOM $CONFIG_USB $CONFIG_INPUT
-
-# Turn on CONFIG_USB_INPUT if any of the drivers are compiled into the kernel
-# to make our Makefile logic a bit simpler.
-if [ "$CONFIG_USB_HID" = "y" -o "$CONFIG_USB_KBD" = "y" -o "$CONFIG_USB_MOUSE" = "y" ]; then
-   define_bool CONFIG_USB_INPUT y
-fi
-if [ "$CONFIG_USB_WACOM" = "y" ]; then
-   define_bool CONFIG_USB_INPUT y
-fi
    
diff -Nru a/drivers/usb/media/Config.in b/drivers/usb/media/Config.in
--- a/drivers/usb/media/Config.in	Fri Apr 19 09:30:54 2002
+++ b/drivers/usb/media/Config.in	Fri Apr 19 09:30:54 2002
@@ -14,16 +14,3 @@
 dep_tristate '  USB Philips Cameras' CONFIG_USB_PWC $CONFIG_USB $CONFIG_VIDEO_DEV
 dep_tristate '  USB SE401 Camera support' CONFIG_USB_SE401 $CONFIG_USB $CONFIG_VIDEO_DEV
 dep_tristate '  USB STV680 (Pencam) Camera support' CONFIG_USB_STV680 $CONFIG_USB $CONFIG_VIDEO_DEV     
-
-# Turn on CONFIG_USB_MEDIA if any of the drivers are compiled into the kernel
-# to make our Makefile logic a bit simpler
-if [ "$CONFIG_USB_IBMCAM" = "y" -o "$CONFIG_USB_OV511" = "y" -o "$CONFIG_USB_PWC" = "y" ]; then
-   define_bool CONFIG_USB_MEDIA y
-fi
-if [ "$CONFIG_USB_SE401" = "y" -o "$CONFIG_USB_STV680" = "y" -o "$CONFIG_USB_VICAM" = "y" ]; then
-   define_bool CONFIG_USB_MEDIA y
-fi
-if [ "$CONFIG_USB_DSBR" = "y" -o "$CONFIG_USB_KONICAWC" = "y" -o "$CONFIG_USB_DABUSB" = "y" ]; then
-   define_bool CONFIG_USB_MEDIA y
-fi
-
diff -Nru a/drivers/usb/net/Config.in b/drivers/usb/net/Config.in
--- a/drivers/usb/net/Config.in	Fri Apr 19 09:30:54 2002
+++ b/drivers/usb/net/Config.in	Fri Apr 19 09:30:54 2002
@@ -12,13 +12,3 @@
    dep_tristate '  USB RTL8150 based ethernet device support (EXPERIMENTAL)' CONFIG_USB_RTL8150 $CONFIG_USB $CONFIG_NET $CONFIG_EXPERIMENTAL
    dep_tristate '  USB-to-USB Networking cable device support' CONFIG_USB_USBNET $CONFIG_USB $CONFIG_NET
 fi
-
-# Turn on CONFIG_USB_NET if any of the drivers are compiled into the kernel to
-# make our Makefile logic a bit simpler
-if [ "$CONFIG_USB_PEGASUS" = "y" -o "$CONFIG_USB_RTL8150" = "y" -o "$CONFIG_USB_KAWETH" = "y" ]; then
-   define_bool CONFIG_USB_NET y
-fi
-if [ "$CONFIG_USB_CATC" = "y" -o "$CONFIG_USB_USBNET" = "y" -o "$CONFIG_USB_CDCETHER" = "y" ]; then
-   define_bool CONFIG_USB_NET y
-fi
-   
